.hw-container {
  max-width: 900px;
  margin: auto;
  padding: 20px;
}

.hw-card {
  display: flex;
  flex-direction: column;
  justify-content: start;
  background: white;
  border-radius: 14px;
  padding: 20px;
  box-shadow: 0 4px 14px rgba(0,0,0,0.08);
}

.hw-title {
  font-size: 22px;
  margin-bottom: 15px;
  color: #000;
  font-weight: bold;
}

.hw-files {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.hw-file {
  position: relative;
}

.hw-file img {
  width: 120px;
  border-radius: 8px;
}

.remove-btn {
  position: absolute;
  top: -6px;
  right: -6px;
  background: #7C2458;
  color: white;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  width: 22px;
  height: 22px;
}

.hw-actions {
  margin-top: 20px;
  display: flex;
  flex-direction: row-reverse;
  justify-content: end;
  gap: 10px;
}

.btn-main {
  padding: 10px 18px;
  border: none;
  border-radius: 10px;
  background: var(--color-primary);
  color: white;
  cursor: pointer;
}

.btn-cancel {
  background: #ddd;
}
.img-modal {
  display: none;
  position: fixed;
  z-index: 9999;
  inset: 0;
  background: rgba(0,0,0,0.85);
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.img-modal-content {
  max-width: 90%;
  max-height: 80%;
  border-radius: 12px;
  box-shadow: 0 10px 40px rgba(0,0,0,0.4);
}

.img-close {
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 40px;
  color: white;
  cursor: pointer;
}

.img-actions {
  margin-top: 20px;
}

.clickable-img {
  cursor: pointer;
  border-radius: 8px;
  transition: 0.2s;
}

.clickable-img:hover {
  transform: scale(1.03);
}